package com.qy.worksheetsystem.vo;

import lombok.Data;

import java.util.List;

/**
 * description: InsertJobBooking <br>
 * date: 2022/3/22 15:32 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
@Data
public class InsertJobBookingVO {
    private String beginTime;
    private String endTime;
    private String workingHours ;
    private String state;
    private String projectId;
    private String attendanceType;
    private List<InsertJobBookingEnteyVO> times;

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getAttendanceType() {
        return attendanceType;
    }

    public void setAttendanceType(String attendanceType) {
        this.attendanceType = attendanceType;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getWorkingHours() {
        return workingHours;
    }

    public void setWorkingHours(String workingHours) {
        this.workingHours = workingHours;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public List<InsertJobBookingEnteyVO> getTimes() {
        return times;
    }

    public void setTimes(List<InsertJobBookingEnteyVO> times) {
        this.times = times;
    }

    @Override
    public String toString() {
        return "InsertJobBookingVO{" +
                "beginTime='" + beginTime + '\'' +
                ", endTime='" + endTime + '\'' +
                ", workingHours='" + workingHours + '\'' +
                ", state='" + state + '\'' +
                ", projectId='" + projectId + '\'' +
                ", attendanceType='" + attendanceType + '\'' +
                ", times=" + times +
                '}';
    }
}
